#pragma once
#include <map>
struct Fish_NormalOutFishCFG2Data
{
	//key
	int mID;
	//名字
	std::string mName;
	//类型
	int mType;
	//参数
	int mParamID;
	//出鱼权值
	int mOutWeight;
	//最大数量
	int mOutMaxCount;
	//路径分组
	int mRouteGroup;
	//分组
	int mGroupID;
	//出鱼时间（s）
	std::vector<int> mFishTime;
	//玩法鱼通知
	int mFishNotice;
	//分组最大鱼数
	int mGroupMaxFish;
};

class Fish_NormalOutFishCFG2
{
public:
private:
	static std::auto_ptr<Fish_NormalOutFishCFG2> msSingleton;
public:
	int GetCount();
	const Fish_NormalOutFishCFG2Data* GetData(int ID);
	const std::map<int, Fish_NormalOutFishCFG2Data>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_NormalOutFishCFG2* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_NormalOutFishCFG2Data> mMapData;
};
